Anonymous Login
2019-08-20 15:27 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000343v4.0 Release (Planning)Taskspublic2016-12-29 10:16
Reporterw2p-super 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityalways
StatusacknowledgedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0000343: tasks order (task list and Gantt)
DescriptionI belive there is some room for improvement in the task order as they (tasks) are displayed when looked at Gantt chart or simply project list.
(I use ProjectDesigner and revision 874 (of 2009-12-21))

Apparently now tasks are sorted just using their start date as a key.
However for few tasks with same start date they're listed differently in Gantt and different on list (different order) that is especially easy to notice when one of tasks is a milestone.

Suggestion (quick one)
for tasks with same start date sort them using the end date (particular good outcome of that will be that milestones will be on the top of list of thaks which depends on them).

Suggestion (more sophisticated)
have smarter algorithm, let me call it "thread based".
Let's say task dependencies and durations (in days) in project are:
A(1d) -> B(2d) -> C(3d) -> D(1d)
A(1d) -> E(3d) -> F(1d) -> G(1d)
Algorithm (probably recursive one) would look at tasks depending on A, finds two (B and E), it takes one of them first (e.g. B) and places C and D following directly B, then returns to the E thread.

This "more sophisticated" still has some disadvantages and although it may be possible to improve it slightly it will not be possible to satisfy all scenarios, so finally
the third option is to allow user to define order he/she wants projects be displayed.
For the sake of clarity let me open separate feature request for the third option, so this ticket can be just closed when quicker/easier way is implemented (hopefully :)







Additional InformationN/A
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003607

caseydk (administrator)

Resolved in 4.0 development by merging the task list views

~0003832

caseydk (administrator)


I'm changing this issue to acknowledged.

While it's resolved in the v4.0 development branch. That is going to be reviewed commit by commit and merged into a new development branch over the next couple months.
+Notes

-Issue History
Date Modified Username Field Change
2009-12-28 13:59 w2p-super New Issue
2014-08-15 23:25 caseydk Category General => Tasks
2014-08-15 23:26 caseydk Project Pending Requests => v4.0 Release (Planning)
2014-08-15 23:26 caseydk Note Added: 0003607
2014-08-15 23:26 caseydk Status new => resolved
2014-08-15 23:26 caseydk Fixed in Version => 4.0
2014-08-15 23:26 caseydk Resolution open => fixed
2014-08-15 23:26 caseydk Assigned To => caseydk
2014-10-12 12:50 caseydk Target Version => 4.0
2016-12-29 10:16 caseydk Status resolved => acknowledged
2016-12-29 10:16 caseydk Note Added: 0003832
+Issue History